V1.0

put

/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/arms/{armId}

Updates the title, short name, and description for an existing treatment arm in a study version. The armId path parameter identifies the treatment arm to update.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : Treatment Arm Request v1.0
Type: object
Title: Treatment Arm Request v1.0
Treatment arm details used to create or update a treatment arm in a study version.
Show Source
  • Title: Treatment Arm Description
    Minimum Length: 0
    Maximum Length: 4000
    Optional description of the treatment arm. Length: 0 to 4000 characters.
    Example: Investigational treatment arm
  • Title: Treatment Arm ID
    Minimum Length: 32
    Maximum Length: 32
    Treatment arm ID. UUID, 32-character uppercase hexadecimal string. For update requests, use the armId path parameter.
  • Title: Treatment Arm Short Name
    Minimum Length: 1
    Maximum Length: 64
    Short name used to identify the treatment arm. Required for create and update requests. Length: 1 to 64 characters.
    Example: ARM_A
  • Title: Study ID
    Minimum Length: 32
    Maximum Length: 32
    Study ID. UUID, 32-character uppercase hexadecimal string. Included in responses when available.
  • Title: Study Version End
    Date and time when the associated study version ends. Included in responses when available.
    Example: 3099-12-31T05:00:00Z
  • Title: Study Version Start
    Date and time when the associated study version starts. Included in responses when available.
    Example: 2024-01-15T10:30:00Z
  • Title: Treatment Arm Title
    Minimum Length: 1
    Maximum Length: 64
    Treatment arm title. Required for create and update requests. Length: 1 to 64 characters.
    Example: Treatment Arm A
  • Title: Version End
    Date and time when this treatment arm version ends. Included in responses when available.
    Example: 3099-12-31T05:00:00Z
  • Version Start date
    Example: 2018-11-23T08:43:01.7Z
Example:
{
    "title":"Treatment Arm A",
    "shortName":"ARM_A",
    "description":"Investigational treatment arm"
}
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : Treatment Arm Response v1.0
Type: object
Title: Treatment Arm Response v1.0
Treatment arm details returned for a study version.
Show Source
  • Title: Treatment Arm Description
    Minimum Length: 0
    Maximum Length: 4000
    Optional description of the treatment arm. Length: 0 to 4000 characters.
    Example: Investigational treatment arm
  • Title: Treatment Arm ID
    Minimum Length: 32
    Maximum Length: 32
    Treatment arm ID. UUID, 32-character uppercase hexadecimal string. For update requests, use the armId path parameter.
  • Title: Treatment Arm Short Name
    Minimum Length: 1
    Maximum Length: 64
    Short name used to identify the treatment arm. Required for create and update requests. Length: 1 to 64 characters.
    Example: ARM_A
  • Title: Study ID
    Minimum Length: 32
    Maximum Length: 32
    Study ID. UUID, 32-character uppercase hexadecimal string. Included in responses when available.
  • Title: Study Version End
    Date and time when the associated study version ends. Included in responses when available.
    Example: 3099-12-31T05:00:00Z
  • Title: Study Version Start
    Date and time when the associated study version starts. Included in responses when available.
    Example: 2024-01-15T10:30:00Z
  • Title: Treatment Arm Title
    Minimum Length: 1
    Maximum Length: 64
    Treatment arm title. Required for create and update requests. Length: 1 to 64 characters.
    Example: Treatment Arm A
  • Title: Version End
    Date and time when this treatment arm version ends. Included in responses when available.
    Example: 3099-12-31T05:00:00Z
  • Version Start date
    Example: 2018-11-23T08:43:01.7Z
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "title":"Treatment Arm A",
    "shortName":"ARM_A",
    "description":"Investigational treatment arm"
}
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top